#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui
{
	class MainWindow;
}

class MainWindow : public QMainWindow
{
	Q_OBJECT

private:
	Ui::MainWindow *ui;

private slots:
	void on_qpbApply_clicked();
	void on_qpbCancel_clicked();
	void on_qpbOK_clicked();
	void on_qpbRun_clicked();
	void on_qpbBrowse_clicked();

public:
	MainWindow( QWidget *parent = 0 );
	virtual ~MainWindow();

public slots:
	void updateContent();
	void flagsChanged();
	void registryChanged();
};

#endif // MAINWINDOW_H
