#ifndef TABAUDIOJOY_H
#define TABAUDIOJOY_H

#include <QGroupBox>

namespace Ui
{
	class TabAudioJoy;
}

class TabAudioJoy : public QGroupBox
{
	Q_OBJECT

private:
	Ui::TabAudioJoy *ui;

private slots:
	void on_qpbCalibrate_clicked();
	void setAudioDev( const QString& );
	void setAudioWarning();
	void setJoystickDev( const int& );
	void setForceFeedback( const bool& );
	void setHitEffect( const bool& );

signals:
	void setRegistryChanged();

public:
	TabAudioJoy( QWidget *parent = 0 );
	~TabAudioJoy();

public slots:
	void updateContent();
};

#endif // TABAUDIOJOY_H
