#ifndef TABMOD_H
#define TABMOD_H

#include <QGroupBox>

namespace Ui
{
	class TabMod;
}

class TabMod : public QGroupBox
{
	Q_OBJECT

private:
	Ui::TabMod *ui;

	QString m_qstrModWebsite;
	QString m_qstrModForum;

private slots:
	void on_qpbModForum_clicked();
	void on_qpbModWebsite_clicked();
	void on_qpbNoMod_clicked();
	void on_qpbSelectMod_clicked();

signals:
	void setFlagsChanged();

public:
	TabMod( QWidget *parent = 0 );
	virtual ~TabMod();

public slots:
	void updateContent();
};

#endif // TABMOD_H
