#include <QtGui>

#include "FilePaths.h"
#include "Settings.h"
#include "Registry.h"
#include "MainWindow.h"

int main( int argc, char **argv )
{
	QApplication qaApp( argc, argv );

	FILEPATHS.initialize( argv[ 0 ] );
	SETTINGS.initialize();
	REGISTRY.initialize();

	MainWindow mwWindow;
	mwWindow.show();

	return qaApp.exec();
}
